
Figure - Bug #118217
【IOVDEV-30174】【内部】【VC1】【0072】【台架】【EE环境】【副屏】空格消息弹幕不展示不通知
2023-05-24 21:02 - CDTS_Test 吴诗雨

Status: CLOSED Start date: 2023-05-24

Priority: Normal Due date:

Assignee: CDTS_Test 吴诗雨 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 副屏：01.00.0095.C103

Resolution: FIXED Degrated: No

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version: 2023-05-25

Test Type: ST Root cause: 游戏模式消息弹幕过滤了空白消息。

Description

【环境信息】EE环境

【问题出现时间】：2023-05-24 13:09

【开机次数】：第171次

【前提条件】：副屏上电，QQ已登录，-设置页面

【问题操作步骤】：

1. 进入设置页

2.搜索游戏模式模式并点击开启

3.点击防打扰设置

4.点击音视频语音

5.开启屏蔽通话

6.打开游戏界面

7.在工具箱内开启消息弹幕

8.QQ消息介入输入空格发送

【实际结果】：空格消息不触发弹幕弹窗

【期望结果】：触发弹幕并展示空格内容

【备注】：QQ应用可以发送空格，空格属于字符，目前持续发送空格消息不显示弹幕，再发送其他字符弹出弹幕时将空格消息数计入

台架Log地址：https://ofs.human-horizons.com/#/download/index/JF%2BREgm7gwk%3D

台架视频地址：https://ofs.human-horizons.com/#/download/index/k4pSxa8aodM%3D

【影响版本】：副屏：01.00.0095.C103

【VIN】：HRYTTESTVINMGM400

【硬件版本号】：/

【是否能恢复】：

History

#1 - 2023-05-24 22:17 - CD FW 曹覃刚

- Status changed from New to ASSIGNED

- Assignee changed from CD FW 曹覃刚 to CD FW-程天颖

Hi 天颖

请帮忙检查下，我们的弹幕消息是否过滤了空格

注:先检查下，空格消息是否发送了通知，如果通知都没有发，那肯定不会显示在弹幕中

#2 - 2023-05-25 16:57 - CD FW-廖涛
- Assignee changed from CD FW-程天颖 to CD FW-廖涛

#3 - 2023-05-25 17:26 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

202626 general/platform/vendor/thundercom

m/apps/GameMode

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tao.liao@thundersoft.com

AF:GameMode: Allow show empty notification in bullet screen.TC-RID: 1201-0204808IssueID: TS-R-BUG-118217Change-Id:

I05102aa0d33a433ec8b5e8232b21046758a58f2b

#4 - 2023-05-25 17:28 - CD FW-廖涛

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD FW-廖涛 to CDTS_Test 吴诗雨

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2023-05-25

- Root cause set to 游戏模式消息弹幕过滤了空白消息。

■ Current conclusion

已处理，代码已入库。

■ My analysis

游戏模式消息弹幕过滤了空白消息。已处理为不过滤空字符，仅过滤消息内容对象为 null 的情况。

■ Next action

测试验证。

#5 - 2023-05-25 17:29 - CD FW-廖涛

- % Done changed from 0 to 100

#6 - 2023-06-02 16:54 - CDTS_Test 吴诗雨

- Status changed from RESOLVED to VERIFIED

内部验证通过

#7 - 2023-06-02 16:55 - CDTS_Test 吴诗雨

- Status changed from VERIFIED to CLOSED

Files

5.24-13：09空格消息没有弹幕提示.mp4 18.6 MB 2023-05-24 CDTS_Test 吴诗雨

tlog_iov0201017500006162025411a2212290000000911_000171_0524143315.tar.gz 10 MB 2023-05-24 CDTS_Test 吴诗雨
